%define upstream_name    String-Errf
%define upstream_version 0.009

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A simple sprintf-like dialect
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Date::Format)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Formatter) >= 0.102.81
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Time::Piece)
BuildRequires: perl(autodie)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
String::Errf provides 'errf', a simple string formatter that works
something like 'perlfunc/sprintf'. It is implemented using the
String::Formatter manpage and the Sub::Exporter manpage. Their
documentation may be useful in understanding or extending String::Errf.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Jan 02 2023 tv <tv> 0.9.0-1.mga9
+ Revision: 1928847
- update to 0.009

* Tue Mar 22 2022 umeabot <umeabot> 0.8.0-4.mga9
+ Revision: 1819027
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.8.0-3.mga8
+ Revision: 1506191
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.8.0-2.mga7
+ Revision: 1286164
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 sander85 <sander85> 0.8.0-1.mga7
+ Revision: 1133133
- update to 0.008

* Sun Jun 19 2016 pterjan <pterjan> 0.7.0-6.mga6
+ Revision: 1033356
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.7.0-5.mga6
+ Revision: 933000
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 745524
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.7.0-3.mga5
+ Revision: 733416
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 686241
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.7.0-1.mga5
+ Revision: 586056
- update to 0.007

* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 514771
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 372784
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 jquelin <jquelin> 0.6.0-1.mga1
+ Revision: 55434
- fix spec file
- imported package perl-String-Errf

